CDTOA( )

NAME
cdtoa - To convert the binary format of a dictionary back to
        text format.

SYNOPSIS
cdtoa [-n] [-s] [-z] [-e] [-E] infilename
       [-h cixingfile ] [ usagefreqfile ]

DEFAULT PATH
/usr/local/bin/cWnn4/cdtoa

DESCRIPTION
To convert the binary format of the dictionary to text

format, and output to standard output(stdout). infilename is the name of the input binary format

dictionary. The output may be piped into a file by using the ">"

command. For example,

        cdtoa dict.dic > dict.u

"dict.u" here is the output text format dictionary, while the "dict.dic" is the input binary format dictionary. usagefreqfile may indicate more than one user usage frequency files (for a particular user). These usage frequency information will be reflected in the text format dictionary created.

OPTIONS

-s  To order the entries in text dictionary according to Pinyin or Zhuyin.

-n  To attach sequence numbers to the output.

-z  To convert the binary format back to text format in Zhuyin.

    (Note: default is Pinyin)

-e  If the Hanzi inside the text dictionary contains characters such as space and tab, they will be compacted to special format. (Default)

-E  If the Hanzi inside the text dictionary contains characters such as space and tab, they will NOT be compacted to special format.

-h  cixingfile

    To specify the Cixing definition file.

NOTE

1.  The parts in [ ] are options. They may be omitted.

2.  The Pinyin and Zhuyin dictionary has the same format.

3.  The default conversion result of the text dictionary is in Pinyin.